# ECellCheckbox

## Name

ECellCheckbox --

## Synopsis

    #define     E_CELL_CHECKBOX_TYPE
    typedef     ECellCheckbox;
    ECell*      e_cell_checkbox_new             (void);

## Object Hierarchy

      GtkObject
       +----ECell
             +----ECellToggle
                   +----ECellCheckbox

## Description

## Details

### E_CELL_CHECKBOX_TYPE

    #define E_CELL_CHECKBOX_TYPE        (e_cell_checkbox_get_type ())

### ECellCheckbox

    typedef struct {
    	ECellToggle parent;
    } ECellCheckbox;

### e_cell_checkbox_new ()

    ECell*      e_cell_checkbox_new             (void);

Creates a new ECell renderer that can be used to render check boxes. the data provided from the model is cast to an integer. zero is used for the off display, and non-zero for checked status.

Returns : | an ECell object that can be used to render checkboxes.